ncsid: Ignore delete failures

Some of the spurious objects fail to delete. We should just ignore them
as this is normal for any non-static addresses or neighbors.

Change-Id: I10e58b94160bb935a5dd77aefd0b0ecfeaa9d680
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/subprojects/ncsid/src/ncsid_lib.sh b/subprojects/ncsid/src/ncsid_lib.sh
index e7d3fb0..2318595 100644
--- a/subprojects/ncsid/src/ncsid_lib.sh
+++ b/subprojects/ncsid/src/ncsid_lib.sh
@@ -349,7 +349,7 @@
 
   local i
   for (( i=0; i<${#delete_objects[@]}; ++i )); do
-    DeleteObject "${delete_services[$i]}" "${delete_objects[$i]}" || return $?
+    DeleteObject "${delete_services[$i]}" "${delete_objects[$i]}" || true
   done
 
   if (( should_add == 0 )); then
@@ -414,7 +414,7 @@
 
   local i
   for (( i=0; i<${#delete_objects[@]}; ++i )); do
-    DeleteObject "${delete_services[$i]}" "${delete_objects[$i]}" || return $?
+    DeleteObject "${delete_services[$i]}" "${delete_objects[$i]}" || true
   done
 
   if (( should_add == 0 )); then